#
# spec file for package ghc-ghc-lib-parser-ex
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name ghc-lib-parser-ex
%global pkgver %{pkg_name}-%{version}
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        9.6.0.2
Release:        1.2
Summary:        Algorithms on GHC parse trees
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-ghc-lib-parser-devel
BuildRequires:  ghc-ghc-lib-parser-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-uniplate-devel
BuildRequires:  ghc-uniplate-prof
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-extra-prof
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-hunit-prof
BuildRequires:  ghc-tasty-prof
%endif

%description
Algorithms on GHC parse trees.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Sun Aug 27 2023 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser-ex to version 9.6.0.2.
  [#] 9.6.0.2 released
  - New functions `isTypedSplice`, `isUntypedSpice`
  [#] 9.6.0.1 released
  - Add `&` to `baseFixities`
  - Add support for ghc-9.8 series: `GH_9_8`
  - New functions `isLetStmt` and `isDo`
  [#] 9.6.0.0 released
  - Add support for ghc-9.6 series: `GHC_9_6`
  [#]# 0.20221201 released
  - Update to `ghc-lib-parser-0.20221201`
  [#]# 0.20221101 released
  - Update to `ghc-lib-parser-0.20221101`
  [#]# 0.20221001 released
  - Update to `ghc-lib-parser-0.20221001`
  [#]# 0.20220901 released
  - Update to `ghc-lib-parser-0.20220901`
* Thu Mar 30 2023 Peter Simons <psimons@suse.com>
- Updated spec file to conform with ghc-rpm-macros-2.5.2.
* Mon Aug  8 2022 Peter Simons <psimons@suse.com>
- Update ghc-lib-parser-ex to version 9.4.0.0.
  [#]# 9.4.0.0  released
  - Update to `ghc-lib-parser-9.4.1.20220807`
  [#]# 0.20220801 released
  - Update to `ghc-lib-parser-0.20220801`
  [#]# 9.2.1.1 released
  - Update to `ghc-lib-parser-9.2.4.20220527`
  [#]# 0.20220701 released
  - Update to `ghc-lib-parser-0.20220701`
  [#]# 9.2.1.0 released
  - The Cabal flag `auto` now defaults to `False`:
  - When `auto` has the value `False`:
  - `ghc-lib-parser-ex` depends on `ghc-lib-parser`
  - When `auto` has the value `True`:
  - When the build compiler is >=9.2.2 && <9.3.0
  - `ghc-lib-parser-ex` depends on the compiler libs
  - Otherwise, `ghc-lib-parser-ex` depends on `ghc-lib-parser`
  - Deprecated modues removed:
  - `Language.Haskell.GhclibParserEx.Config`
  - `Language.Haskell.GhclibParserEx.Parse`
  - `Language.Haskell.GhclibParserEx.Outputable`
  [#]# 0.20220601 released
  - Update to `ghc-lib-parser-0.20220601`
  - `fakeLlvmConfig` removed for `GHCLIB_API_HEAD`
  [#]# 9.2.0.4 released
  - Update to `ghc-lib-parser-9.2.3.20220527`
  - Add support for ghc-9.4 series: `GHCLIB_API_904`
  [#]# 0.20220501 released
  - Update to `ghc-lib-parser-0.20220501`
  [#]# 0.20220401 released
  - Update to `ghc-lib-parser-0.20220401`
  [#]# 9.2.0.3 released
  - Fix ghc bounds in auto mode to use ghc-lib not ghc if build compiler ghc-9.2.1 (see [issue](https://github.com/ndmitchell/hlint/issues/1314))
  [#]# 9.2.0.2 released
  - Update to `ghc-lib-parser-9.2.2.20220307`
  [#]# 0.20220301 released
  - Update to `ghc-lib-parser-0.20220301`
  [#]# 8.10.0.24 released
  - Update to `ghc-lib-parser-8.10.7.20220219`
  [#]# 0.20220201 released
  - Update to `ghc-lib-parser-0.20220201`
  [#]# 0.20220103 released
  - New function `isOverLabel`
  - Update to `ghc-lib-parser-0.20220103`
  [#]# 9.0.0.6 released 2021-12-26
  - Add back `isQuasiQuote` for backwards compatibility
  [#]# 9.0.0.5 released 2021-12-25
  - Bugfix to `isFieldPunUpdate`
  - New module `Language.Haskell.GHC.Hs.Type.hs` to replace `Language.Haskell.GHC.Hs.Types.hs` (which remains for now but deprecated and will be removed in a future release)
  - New function `isKindTyApp`
  - Rename `isQuasiQuote` to `isQuasiQuoteExpr`
  - Add new function `isQuasiQuoteSplice`
  - Update to `ghc-lib-parser-9.0.2.20211226`
  [#]# 9.2.0.1 released 2021-11-01
  - Update to `ghc-lib-parser-9.2.1.20211101`
  [#]# 0.20211101 released 2021-11-01
  - Update to `ghc-lib-parser-0.20211101`
  [#]# 9.2.0.0 released 2021-10-30
  - Update to `ghc-lib-parser-9.2.1.20211030`
  [#]# 0.20211001 released 2021-10-01
  - Add `isSplicePat` to `Language.Haskell.GhclibParserEx.GHC.Hs.Pat`
  - Use `genericPlatform` on `GHCLIB_API_HEAD` in `GhclibParserEx.GHC.Settings.Config.hs`
  - Update to `ghc-lib-parser-0.20211001`
  [#]# 0.20210901 released 2021-09-01
  - Update to `ghc-lib-parser-0.20210901`
  [#]# 8.10.0.23 released 2021-08-28
  - Update to `ghc-lib-parser-8.10.7.20210828`
  [#]# 8.10.0.22 released 2021-08-14
  - Update to `ghc-lib-parser-0.20210814`
  - Added to `GhclibParserEx.GHC.Hs.Expr`:
  - `isMonadComp`
  - `isListComp`
  [#]# 0.20210701 released 2021-07-01
  - Update to `ghc-lib-0.20210701`
  [#]# 8.10.0.21 released 2021-06-07
  - Bugfix cabal files
  [#]# 8.10.0.20 released 2021-06-06
  - Update to `ghc-lib-8.10.5.20210606`
  [#]# 0.20210601 released 2021-06-01
  - Update to `ghc-lib-parser-0.20210601`
  - Update types in `GHC.Types.Name.Reader` for ghc-9.2.1, `Located` becomes `LocatedN`
  [#]# 0.20210501 released 2021-05-01
  - Update to `ghc-lib-0.20210501`
  [#]# 0.20210331 released 2021-02-31
  - Update to `ghc-lib-0.20210331`
  - Update to `ghc-lib-parser-9.0.1.20210324`
  [#]# 9.0.0.4 released 2021-03-11
  - Bugfix for `GHC.Hs.Dump`
  [#]# 0.20210228 released 2021-02-28
  - Update to `ghc-lib-0.20210228`
  [#]# 9.0.0.3 released 2021-02-08
  - Cabal bugfix
  [#]# 9.0.0.2 released 2021-02-08
  - Cabal bugfix
  [#]# 8.10.0.19 released 2021-02-08
  - Cabal bugfix
* Mon Feb  8 2021 psimons@suse.com
- Update ghc-lib-parser-ex to version 8.10.0.19.
  [#]# 8.10.0.18 released 2021-02-06
  - Update to ghc-8.10.4.
  [#]# 9.0.0.1 released 2021-02-05
  - Upgrade Cabal defaults flag to 9.0.1
  [#]# 9.0.0.0 released 2021-02-05
  - Update to ghc-9.0.1
  [#]# 0.20210201 released 2021-02-01
  - Update to `ghc-lib-0.20210201`
  [#]# 0.20210101 released 2021-01-01
  - Update to `ghc-lib-0.20210101`
* Tue Dec 22 2020 psimons@suse.com
- Update ghc-lib-parser-ex to version 8.10.0.17.
  [#]# 8.10.0.17 released 2020-12-20
  - Update to ghc-8.10.3.
  [#]# 0.20201101 released 2020-11-01
  - Update to `ghc-lib-0.20201101`
  [#]# 0.20201001 released 2020-10-01
  - Update to `ghc-lib-0.20201001`
  - `GHCLIB_API_811` -> `GHCLIB_API_HEAD`
  - Add support for `GHCLIB_API_900`
  [#]# 0.20200901 released 2020-09-01
  - Update to `ghc-lib-0.20200901`
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Wed Aug 19 2020 Michel Normand <normand@linux.vnet.ibm.com>
- Add _constraints with 6GB min disk space for ppc64/ppc64le
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Mon Aug 10 2020 psimons@suse.com
- Update ghc-lib-parser-ex to version 8.10.0.16.
  [#]# 8.10.0.16 released 2020-08-08
  - Update to ghc-8.10.2.
  [#]# 0.20200801 released 2020-08-01
  - Update to `ghc-lib-0.20200801`
  [#]# 8.8.6.1 released 2020-07-16
  [#]# 0.20200704 released 2020-07-04
  - New function `isImportQualifiedPost`
* Mon Jul  6 2020 psimons@suse.com
- Update ghc-lib-parser-ex to version 8.10.0.15.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/ghc-lib-parser-ex-8.10.0.15/src/ChangeLog.md
* Tue Jun 23 2020 psimons@suse.com
- Add ghc-lib-parser-ex at version 8.10.0.14.
